## falkon 25.04.1

=== CMakeLists.txt ===
# CMake version required. This must be the very first line, because it sets default policies affecting everything else
cmake_minimum_required(VERSION 3.18)

# KDE Gear Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "04")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

# Project name and version
project(Falkon VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MAJOR_VERSION "6")
set(QT_MIN_VERSION "6.4.0")
set(KF_MIN_VERSION "5.240.0")

# Find ECM, with nice error handling in case of failure
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION} CONFIG)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# Many includes from ECM, to get all the nice cmake functions and settings
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)

# Output dirs (like ECM 5.38 does)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")

if (UNIX AND NOT APPLE)
    set(FALKON_INSTALL_PLUGINDIR "${KDE_INSTALL_PLUGINDIR}/falkon")
else()
    set(FALKON_INSTALL_PLUGINDIR "${KDE_INSTALL_PLUGINDIR}")
endif()
if (IS_ABSOLUTE ${FALKON_INSTALL_PLUGINDIR})
    set(PLUGIN_PATH "${FALKON_INSTALL_PLUGINDIR}")
else()
    set(PLUGIN_PATH "${CMAKE_INSTALL_PREFIX}/${FALKON_INSTALL_PLUGINDIR}")
endif()
if (NOT WIN32)
    set(FALKON_PLUGIN_PATH "${PLUGIN_PATH}" CACHE PATH "Default plugin search path")
endif()

# Defines that are always set
add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_USE_QSTRINGBUILDER -DQT_NO_CAST_TO_ASCII)

# Mandatory: Qt6
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets Network Sql QuickWidgets PrintSupport WebChannel)
if(Qt6Network_VERSION VERSION_GREATER_EQUAL "6.9.0")
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED NetworkPrivate)
endif()

find_package(Qt6WebEngineCore ${QT_MIN_VERSION} REQUIRED)
find_package(Qt6WebEngineWidgets ${QT_MIN_VERSION} REQUIRED)
if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
endif()
if (NOT DISABLE_DBUS)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus)
endif()

if (UNIX AND NOT APPLE AND NOT NO_X11)
    add_definitions(-DQZ_WS_X11)
    find_package(XCB REQUIRED COMPONENTS XCB UTIL)
endif()
if (WIN32)
    add_definitions(-DW7API)

    # taken from https://stackoverflow.com/a/40217291
    macro(get_WIN32_WINNT version)
        if (CMAKE_SYSTEM_VERSION)
            set(ver ${CMAKE_SYSTEM_VERSION})
            string(REGEX MATCH "^([0-9]+).([0-9])" ver ${ver})
            string(REGEX MATCH "^([0-9]+)" verMajor ${ver})
            # Check for Windows 10, b/c we'll need to convert to hex 'A'.
            if ("${verMajor}" MATCHES "10")
                set(verMajor "A")
                string(REGEX REPLACE "^([0-9]+)" ${verMajor} ver ${ver})
            endif ("${verMajor}" MATCHES "10")
            # Remove all remaining '.' characters.
            string(REPLACE "." "" ver ${ver})
            # Prepend each digit with a zero.
            string(REGEX REPLACE "([0-9A-Z])" "0\\1" ver ${ver})
            set(${version} "0x${ver}")
        endif(CMAKE_SYSTEM_VERSION)
    endmacro(get_WIN32_WINNT)

    get_WIN32_WINNT(ver)
    add_definitions(-D_WIN32_WINNT=${ver})
endif()

find_package(Qt6Core5Compat)

# Mandatory: OpenSSL
find_package(OpenSSL REQUIRED)

# Mandatory: KF6
find_package(KF6 REQUIRED COMPONENTS Archive)

# KF5I18n: Mandatory with downloaded translations (only for ki18n_install)
if (EXISTS "${CMAKE_SOURCE_DIR}/po")
    find_package(KF6I18n REQUIRED)
endif()

# Optional: GnomeKeyring
find_package(PkgConfig)
if (PKG_CONFIG_FOUND)
    option(BUILD_KEYRING "Gnome keyring password plugin" ON)
    if (BUILD_KEYRING)
        pkg_check_modules(GNOME_KEYRING IMPORTED_TARGET gnome-keyring-1 )
    endif()
endif()

# Optional: KWallet, KIO, KCrash, KCoreAddons
find_package(KF6Wallet ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6Wallet PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6KIO PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6Crash PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6CoreAddons PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF6Purpose ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6Purpose PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6JobWidgets PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
if (KF6Wallet_FOUND AND KF6KIO_FOUND AND KF6Crash_FOUND AND KF6CoreAddons_FOUND AND KF6Purpose_FOUND AND KF6JobWidgets_FOUND)
    set(ENABLE_KDE_FRAMEWORKS_INTEGRATION_PLUGIN TRUE)
endif()

# Optional: PySide6
option(BUILD_PYTHON_SUPPORT "Support for Python plugins" ON)
if (BUILD_PYTHON_SUPPORT)
    find_package(Python3 COMPONENTS Development)
    find_package(PySide6 "6.4.0")
    find_package(Shiboken6 "6.4.0")
    find_package(Shiboken6Tools "6.4.0")
    set_package_properties(Python3 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
    set_package_properties(PySide6 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
    set_package_properties(Shiboken6 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
    set_package_properties(Shiboken6Tools PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
    if (PySide6_FOUND AND Shiboken6_FOUND AND Shiboken6Tools_FOUND AND Python3_FOUND)
        set(ENABLE_PYTHON_PLUGINS TRUE)
    endif()
endif()

find_package(Intl)
if (Intl_FOUND)
    set(HAVE_LIBINTL TRUE)
endif()

# Git revision
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
  find_package(Git QUIET)
  if(GIT_FOUND)
    execute_process(
      COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      OUTPUT_VARIABLE GIT_REVISION
    )
    string(REGEX REPLACE "\n" "" GIT_REVISION "${GIT_REVISION}")
    set(FALKON_GIT_REVISION "${GIT_REVISION}")
  else()
    message(STATUS "Git revision could not be determined")
  endif()
endif()

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

# Include dirs used everywhere
include_directories(
     ${CMAKE_SOURCE_DIR}/src/lib/3rdparty
     ${CMAKE_SOURCE_DIR}/src/lib/adblock
     ${CMAKE_SOURCE_DIR}/src/lib/app
     ${CMAKE_SOURCE_DIR}/src/lib/autofill
     ${CMAKE_SOURCE_DIR}/src/lib/bookmarks
     ${CMAKE_SOURCE_DIR}/src/lib/cookies
     ${CMAKE_SOURCE_DIR}/src/lib/downloads
     ${CMAKE_SOURCE_DIR}/src/lib/history
     ${CMAKE_SOURCE_DIR}/src/lib/navigation
     ${CMAKE_SOURCE_DIR}/src/lib/network
     ${CMAKE_SOURCE_DIR}/src/lib/notifications
     ${CMAKE_SOURCE_DIR}/src/lib/opensearch
     ${CMAKE_SOURCE_DIR}/src/lib/other
     ${CMAKE_SOURCE_DIR}/src/lib/plugins
     ${CMAKE_SOURCE_DIR}/src/lib/popupwindow
     ${CMAKE_SOURCE_DIR}/src/lib/preferences
     ${CMAKE_SOURCE_DIR}/src/lib/session
     ${CMAKE_SOURCE_DIR}/src/lib/sidebar
     ${CMAKE_SOURCE_DIR}/src/lib/tabwidget
     ${CMAKE_SOURCE_DIR}/src/lib/tools
     ${CMAKE_SOURCE_DIR}/src/lib/webengine
     ${CMAKE_SOURCE_DIR}/src/lib/webtab
)

# Finally, go into the subdirs
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests/benchmarks)
endif()

# Tell releaseme that po is already taken care of
# SKIP_PO_INSTALL

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/benchmarks/CMakeLists.txt ===
set(falkon_benchmarks_SRCS )

qt_add_resources(falkon_benchmarks_SRCS benchmarks.qrc)

macro(falkon_benchmarks)
    foreach(_benchmarkname ${ARGN})
        add_executable(${_benchmarkname} ${_benchmarkname}.cpp ${falkon_benchmarks_SRCS})
        target_link_libraries(${_benchmarkname} Qt::Test FalkonPrivate)
        #add_test(NAME falkon-${_benchmarkname} COMMAND ${_benchmarkname})
        #ecm_mark_as_test(${_benchmarkname})
        #set_tests_properties(falkon-${_benchmarkname} PROPERTIES RUN_SERIAL TRUE)
    endforeach(_benchmarkname)
endmacro()

falkon_benchmarks(
    #adblockmatchrule
    adblockparserule
)

=== src/plugins/TabManager/CMakeLists.txt ===
set( TabManager_SRCS
	tabmanagerplugin.cpp
	tabmanagerwidget.cpp
	tabmanagerwidgetcontroller.cpp
	tabmanagersettings.cpp
	tabmanagerdelegate.cpp
	tldextractor/tldextractor.cpp
        tabmanagerplugin.h
        tabmanagerwidget.h
        tabmanagerwidgetcontroller.h
        tabmanagersettings.h
        tabmanagerdelegate.h
        tldextractor/tldextractor.h
        )

ecm_create_qm_loader( TabManager_SRCS falkon_tabmanager_qt )

set( TabManager_UIS
	tabmanagerwidget.ui
	tabmanagersettings.ui
	)
qt_wrap_ui(UIS ${TabManager_UIS})

set( TabManager_RSCS
	tabmanagerplugin.qrc
	tldextractor/tldextractor.qrc
	)
qt_add_resources(RSCS ${TabManager_RSCS})

add_library(TabManager MODULE ${TabManager_SRCS} ${UIS} ${RSCS})
install(TARGETS TabManager DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(TabManager FalkonPrivate)

=== debian/changelog ===
falkon (25.04.1-1) unstable; urgency=medium

  * New upstream version 25.04.1
  * checked that nested bookmark folders are possible without forcing
    falkon to crash. Closes: #1102883

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 08 May 2025 14:52:20 +0200

falkon (25.04.0-1) unstable; urgency=medium

  * New upstream version 25.04.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 04 May 2025 19:45:18 +0200

=== debian/control ===
Source: falkon
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (=13),
 cmake,
 cmake-data,
 extra-cmake-modules (>= 6.0.0),
 libjs-jquery,
 libjs-jquery-ui,
 libssl-dev,
 libx11-dev,
 libxcb-util-dev,
 libxcb-xkb-dev,
 pkgconf,
 pkg-kde-tools,
 qt6-5compat-dev,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-networkauth-dev,
 qt6-webchannel-dev,
 qt6-webengine-dev,
 qtkeychain-qt6-dev,
 libkf6archive-data,
 libkf6archive-dev,
 libkf6crash-dev,
 libkf6i18n-dev,
 libkf6kio-dev,
 libkf6wallet-dev,
Standards-Version: 4.7.0
Homepage: https://userbase.kde.org/Falkon
Vcs-Browser: https://salsa.debian.org/debian/falkon.git
Vcs-Git: https://salsa.debian.org/debian/falkon.git

Package: falkon
Architecture: any
Depends: libqt6sql6-sqlite,
 qml6-module-qtwebengine,
 ${misc:Depends},
 ${shlibs:Depends},
 libkf6archive-data,
 libkf6coreaddons-data,
Suggests:
 libqt6webenginecore6-bin
Recommends:
 libsvtav1enc0
Conflicts: qupzilla (<< 3.0.0~)
Replaces: qupzilla (<< 3.0.0~)
Provides: www-browser
Description: lightweight web browser based on Qt WebEngine
 Falkon is a new and very fast Qt Webengine browser. It aims to be a
 lightweight web browser available through all major platforms.
 .
 Falkon has all standard functions you expect from a web browser. It
 includes bookmarks, history (both also in sidebar) and tabs. Above
 that, you can manage RSS feeds with an included RSS reader, block ads
 with a builtin AdBlock plugin, block Flash content with Click2Flash
 and edit the local CA Certificates database with an SSL Manager.

## falkon 25.04.3

=== debian/changelog ===
falkon (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:54 +0100

falkon (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:37:34 +0100

falkon (25.04.1-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:35:20 +0100

falkon (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:38 +0100

falkon (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:41:31 +0100

## falkon 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 # KDE Gear Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Project name and version
@@ -98,8 +98,6 @@
     add_definitions(-D_WIN32_WINNT=${ver})
 endif()
 
-find_package(Qt6Core5Compat)
-
 # Mandatory: OpenSSL
 find_package(OpenSSL REQUIRED)
 
@@ -133,7 +131,7 @@
 set_package_properties(KF6Purpose PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
 find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG)
 set_package_properties(KF6JobWidgets PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
-if (KF6Wallet_FOUND AND KF6KIO_FOUND AND KF6Crash_FOUND AND KF6CoreAddons_FOUND AND KF6Purpose_FOUND AND KF6JobWidgets_FOUND)
+if (KF6Wallet_FOUND AND KF6KIO_FOUND AND KF6Crash_FOUND AND KF6CoreAddons_FOUND AND KF6Purpose_FOUND AND KF6JobWidgets_FOUND AND NOT WIN32)
     set(ENABLE_KDE_FRAMEWORKS_INTEGRATION_PLUGIN TRUE)
 endif()

=== src/lib/CMakeLists.txt ===
add_definitions(-DFALKON_SHAREDLIBRARY)

set(CMAKE_CXX_STANDARD 14) # Enable C++14, with cmake >= 3.1
set(CMAKE_CXX_EXTENSIONS OFF) # Don't enable gcc-specific extensions

set(SRCS
    3rdparty/qtsingleapplication/qtsingleapplication.cpp
    3rdparty/qtsingleapplication/qtlocalpeer.cpp
)

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(SRCS ${SRCS} ${CMAKE_SOURCE_DIR}/tests/modeltest/modeltest.cpp)
    include_directories(${CMAKE_SOURCE_DIR}/tests/modeltest)
endif()

include_directories(
    3rdparty
    adblock
    app
    autofill
    bookmarks
    cookies
    downloads
    history
    navigation
    network
    notifications
    opensearch
    other
    plugins
    popupwindow
    preferences
    session
    sidebar
    tabwidget
    tools
    webengine
    webtab
)

include_directories(${OPENSSL_INCLUDE_DIR})

set(SRCS ${SRCS}
    3rdparty/fancytabwidget.cpp
    3rdparty/lineedit.cpp
    3rdparty/processinfo.cpp
    3rdparty/squeezelabelv1.cpp
    3rdparty/squeezelabelv2.cpp
    3rdparty/stylehelper.cpp
    adblock/adblockaddsubscriptiondialog.cpp
    adblock/adblockurlinterceptor.cpp
    adblock/adblockdialog.cpp
    adblock/adblockicon.cpp
    adblock/adblockmanager.cpp
    adblock/adblockmatcher.cpp
    adblock/adblockresourceschemehandler.cpp
    adblock/adblockrule.cpp
    adblock/adblockscripts.cpp
    adblock/adblocksearchtree.cpp
    adblock/adblocksubscription.cpp
    adblock/adblocktreemodel.cpp
    adblock/adblocktreewidget.cpp
    adblock/adblockplugin.cpp
    app/autosaver.cpp
    app/browserwindow.cpp
    app/commandlineoptions.cpp
    app/datapaths.cpp
    app/mainapplication.cpp
    app/mainmenu.cpp
    app/profilemanager.cpp
    app/proxystyle.cpp
    app/qzcommon.cpp
    app/settings.cpp
    autofill/autofill.cpp
    autofill/autofillicon.cpp
    autofill/autofillnotification.cpp
    autofill/autofillwidget.cpp
    autofill/passwordbackends/databaseencryptedpasswordbackend.cpp
    autofill/passwordbackends/databasepasswordbackend.cpp
    autofill/passwordbackends/passwordbackend.cpp
    autofill/passwordmanager.cpp
    bookmarks/bookmarkitem.cpp
    bookmarks/bookmarks.cpp
    bookmarks/bookmarksexport/bookmarksexportdialog.cpp
    bookmarks/bookmarksexport/bookmarksexporter.cpp
    bookmarks/bookmarksexport/htmlexporter.cpp
    bookmarks/bookmarksicon.cpp
    bookmarks/bookmarksimport/bookmarksimportdialog.cpp
    bookmarks/bookmarksimport/bookmarksimporter.cpp
    bookmarks/bookmarksimport/firefoximporter.cpp
    bookmarks/bookmarksimport/htmlimporter.cpp
    bookmarks/bookmarksimport/chromeimporter.cpp
    bookmarks/bookmarksimport/ieimporter.cpp
    bookmarks/bookmarksimport/operaimporter.cpp
    bookmarks/bookmarksitemdelegate.cpp
    bookmarks/bookmarksmanager.cpp
    bookmarks/bookmarksmenu.cpp
    bookmarks/bookmarksmodel.cpp
    bookmarks/bookmarkstoolbarbutton.cpp
    bookmarks/bookmarkstoolbar.cpp
    bookmarks/bookmarkstools.cpp
    bookmarks/bookmarkstreeview.cpp
    bookmarks/bookmarkswidget.cpp
    cookies/cookiejar.cpp
    cookies/cookiemanager.cpp
    downloads/downloaditem.cpp
    downloads/downloadmanager.cpp
    downloads/downloadmanagermodel.cpp
    downloads/downloadoptionsdialog.cpp
    downloads/downloadsbutton.cpp
    history/history.cpp
    history/historyitem.cpp
    history/historymanager.cpp
    history/historymenu.cpp
    history/historymodel.cpp
    history/historytreeview.cpp
    navigation/completer/locationcompleter.cpp
    navigation/completer/locationcompleterdelegate.cpp
    navigation/completer/locationcompletermodel.cpp
    navigation/completer/locationcompleterrefreshjob.cpp
    navigation/completer/locationcompleterview.cpp
    navigation/downicon.cpp
    navigation/goicon.cpp
    navigation/locationbar.cpp
    navigation/locationbarpopup.cpp
    navigation/navigationbar.cpp
    navigation/navigationbartoolbutton.cpp
    navigation/navigationbarconfigdialog.cpp
    navigation/navigationcontainer.cpp
    navigation/reloadstopbutton.cpp
    navigation/siteicon.cpp
    navigation/websearchbar.cpp
    navigation/zoomlabel.cpp
    network/networkmanager.cpp
    network/networkurlinterceptor.cpp
    network/schemehandlers/extensionschemehandler.cpp
    network/schemehandlers/falkonschemehandler.cpp
    network/sslerrordialog.cpp
    notifications/desktopnotification.cpp
    notifications/desktopnotificationsfactory.cpp
    opensearch/editsearchengine.cpp
    opensearch/opensearchengine.cpp
    opensearch/opensearchenginedelegate.cpp
    opensearch/opensearchreader.cpp
    opensearch/searchenginesdialog.cpp
    opensearch/searchenginesmanager.cpp
    other/aboutdialog.cpp
    other/browsinglibrary.cpp
    other/clearprivatedata.cpp
    other/checkboxdialog.cpp
    other/iconchooser.cpp
    other/licenseviewer.cpp
    other/qzsettings.cpp
    other/siteinfo.cpp
    other/siteinfopermissionitem.cpp
    other/siteinfowidget.cpp
    other/sitesettingsmanager.cpp
    other/statusbar.cpp
    other/updater.cpp
    other/useragentmanager.cpp
    other/protocolhandlerdialog.cpp
    other/protocolhandlermanager.cpp
    plugins/pluginproxy.cpp
    plugins/plugins.cpp
    plugins/speeddial.cpp
    plugins/ocssupport.cpp
    plugins/qml/qmlpluginloader.cpp
    plugins/qml/qmlplugin.cpp
    plugins/qml/qmlplugins.cpp
    plugins/qml/qmlplugininterface.cpp
    plugins/qml/qmlengine.cpp
    plugins/qml/qmlstaticdata.cpp
    plugins/qml/api/bookmarks/qmlbookmarktreenode.cpp
    plugins/qml/api/bookmarks/qmlbookmarks.cpp
    plugins/qml/api/topsites/qmlmostvisitedurl.cpp
    plugins/qml/api/topsites/qmltopsites.cpp
    plugins/qml/api/history/qmlhistoryitem.cpp
    plugins/qml/api/history/qmlhistory.cpp
    plugins/qml/api/cookies/qmlcookie.cpp
    plugins/qml/api/cookies/qmlcookies.cpp
    plugins/qml/api/tabs/qmltab.cpp
    plugins/qml/api/tabs/qmltabs.cpp
    plugins/qml/api/notifications/qmlnotifications.cpp
    plugins/qml/api/clipboard/qmlclipboard.cpp
    plugins/qml/api/windows/qmlwindow.cpp
    plugins/qml/api/windows/qmlwindows.cpp
    plugins/qml/api/browseraction/qmlbrowseraction.cpp
    plugins/qml/api/sidebar/qmlsidebar.cpp
    plugins/qml/api/menus/qmlmenu.cpp
    plugins/qml/api/menus/qmlaction.cpp
    plugins/qml/api/menus/qmlwebhittestresult.cpp
    plugins/qml/api/settings/qmlsettings.cpp
    plugins/qml/api/events/qmlqzobjects.cpp
    plugins/qml/api/events/qmlmouseevent.cpp
    plugins/qml/api/events/qmlwheelevent.cpp
    plugins/qml/api/events/qmlkeyevent.cpp
    plugins/qml/api/userscript/qmluserscript.cpp
    plugins/qml/api/userscript/qmluserscripts.cpp
    plugins/qml/api/userscript/qmlexternaljsobject.cpp
    plugins/qml/api/extensionscheme/qmlextensionscheme.cpp
    plugins/qml/api/extensionscheme/qmlwebengineurlrequestjob.cpp
    plugins/qml/api/fileutils/qmlfileutils.cpp
    plugins/qml/api/qmlenums.cpp
    popupwindow/popuplocationbar.cpp
    popupwindow/popupstatusbarmessage.cpp
    popupwindow/popupwebview.cpp
    popupwindow/popupwindow.cpp
    preferences/acceptlanguage.cpp
    preferences/autofillmanager.cpp
    preferences/certificatemanager.cpp
    preferences/jsoptions.cpp
    preferences/pluginlistdelegate.cpp
    preferences/pluginsmanager.cpp
    preferences/preferences.cpp
    preferences/schememanager.cpp
    preferences/sitesettingsattributesitem.cpp
    preferences/sitesettingsbrowsedialog.cpp
    preferences/sitesettingshtml5item.cpp
    preferences/thememanager.cpp
    preferences/useragentdialog.cpp
    session/recoveryjsobject.cpp
    session/restoremanager.cpp
    session/sessionmanager.cpp
    session/sessionmanagerdialog.cpp
    sidebar/bookmarkssidebar.cpp
    sidebar/historysidebar.cpp
    sidebar/sidebar.cpp
    tabwidget/combotabbar.cpp
    tabwidget/tabbar.cpp
    tabwidget/tabicon.cpp
    tabwidget/tabmodel.cpp
    tabwidget/tabmrumodel.cpp
    tabwidget/tabtreemodel.cpp
    tabwidget/tabstackedwidget.cpp
    tabwidget/tabwidget.cpp
    tabwidget/tabcontextmenu.cpp
    tools/abstractbuttoninterface.cpp
    tools/aesinterface.cpp
    tools/animatedwidget.cpp
    tools/buttonwithmenu.cpp
    tools/certificateinfowidget.cpp
    tools/clickablelabel.cpp
    tools/closedtabsmanager.cpp
    tools/closedwindowsmanager.cpp
    tools/colors.cpp
    tools/delayedfilewatcher.cpp
    tools/desktopfile.cpp
    tools/docktitlebarwidget.cpp
    tools/enhancedmenu.cpp
    tools/focusselectlineedit.cpp
    tools/headerview.cpp
    tools/horizontallistwidget.cpp
    tools/html5permissions/html5permissionsmanager.cpp
    tools/html5permissions/html5permissionsnotification.cpp
    tools/iconprovider.cpp
    tools/listitemdelegate.cpp
    tools/mactoolbutton.cpp
    tools/menubar.cpp
    tools/pagethumbnailer.cpp
    tools/progressbar.cpp
    tools/qztools.cpp
    tools/removeitemfocusdelegate.cpp
    tools/scripts.cpp
    tools/sqldatabase.cpp
    tools/toolbutton.cpp
    tools/treewidget.cpp
    tools/wheelhelper.cpp
    webengine/javascript/autofilljsobject.cpp
    webengine/javascript/externaljsobject.cpp
    webengine/loadrequest.cpp
    webengine/webhittestresult.cpp
    webengine/webinspector.cpp
    webengine/webpage.cpp
    webengine/webview.cpp
    webengine/webscrollbar.cpp
    webengine/webscrollbarmanager.cpp
    webtab/searchtoolbar.cpp
    webtab/tabbedwebview.cpp
    webtab/webtab.cpp

    3rdparty/fancytabwidget.h
    3rdparty/lineedit.h
    3rdparty/processinfo.h
    3rdparty/squeezelabelv1.h
    3rdparty/squeezelabelv2.h
    3rdparty/stylehelper.h
    adblock/adblockaddsubscriptiondialog.h
    adblock/adblockurlinterceptor.h
    adblock/adblockdialog.h
    adblock/adblockicon.h
    adblock/adblockmanager.h
    adblock/adblockmatcher.h
    adblock/adblockresourceschemehandler.h
    adblock/adblockrule.h
    adblock/adblockscripts.h
    adblock/adblocksearchtree.h
    adblock/adblocksubscription.h
    adblock/adblocktreemodel.h
    adblock/adblocktreewidget.h
    adblock/adblockplugin.h
    app/autosaver.h
    app/browserwindow.h
    app/commandlineoptions.h
    app/datapaths.h
    app/mainapplication.h
    app/mainmenu.h
    app/profilemanager.h
    app/proxystyle.h
    app/qzcommon.h
    app/settings.h
    autofill/autofill.h
    autofill/autofillicon.h
    autofill/autofillnotification.h
    autofill/autofillwidget.h
    autofill/passwordbackends/databaseencryptedpasswordbackend.h
    autofill/passwordbackends/databasepasswordbackend.h
    autofill/passwordbackends/passwordbackend.h
    autofill/passwordmanager.h
    bookmarks/bookmarkitem.h
    bookmarks/bookmarks.h
    bookmarks/bookmarksexport/bookmarksexportdialog.h
    bookmarks/bookmarksexport/bookmarksexporter.h
    bookmarks/bookmarksexport/htmlexporter.h
    bookmarks/bookmarksicon.h
    bookmarks/bookmarksimport/bookmarksimportdialog.h
    bookmarks/bookmarksimport/bookmarksimporter.h
    bookmarks/bookmarksimport/firefoximporter.h
    bookmarks/bookmarksimport/htmlimporter.h
    bookmarks/bookmarksimport/chromeimporter.h
    bookmarks/bookmarksimport/ieimporter.h
    bookmarks/bookmarksimport/operaimporter.h
    bookmarks/bookmarksitemdelegate.h
    bookmarks/bookmarksmanager.h
    bookmarks/bookmarksmenu.h
    bookmarks/bookmarksmodel.h
    bookmarks/bookmarkstoolbarbutton.h
    bookmarks/bookmarkstoolbar.h
    bookmarks/bookmarkstools.h
    bookmarks/bookmarkstreeview.h
    bookmarks/bookmarkswidget.h
    cookies/cookiejar.h
    cookies/cookiemanager.h
    downloads/downloaditem.h
    downloads/downloadmanager.h
    downloads/downloadmanagermodel.h
    downloads/downloadoptionsdialog.h
    downloads/downloadsbutton.h
    history/history.h
    history/historyitem.h
    history/historymanager.h
    history/historymenu.h
    history/historymodel.h
    history/historytreeview.h
    navigation/completer/locationcompleter.h
    navigation/completer/locationcompleterdelegate.h
    navigation/completer/locationcompletermodel.h
    navigation/completer/locationcompleterrefreshjob.h
    navigation/completer/locationcompleterview.h
    navigation/downicon.h
    navigation/goicon.h
    navigation/locationbar.h

=== debian/changelog ===
falkon (4:25.07.80-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 10:10:04 +0100

falkon (25.07.80-1) unstable; urgency=medium

  * New upstream version 25.07.80

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jul 2025 09:26:00 +0200

falkon (25.04.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 14:17:02 +0100

falkon (25.04.3-1) unstable; urgency=medium

  * New upstream version 25.04.3

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jul 2025 10:43:22 +0200

## falkon 25.07.90

=== debian/changelog ===
falkon (25.07.90-1) unstable; urgency=medium

  * New upstream version 25.07.90

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Aug 2025 10:29:35 +0200

## falkon 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 # KDE Gear Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Project name and version

=== debian/changelog ===
falkon (25.08.0-2) unstable; urgency=medium

  * removed the recommendation falkon -> libsvtav1enc0.
    Closes: #1113828

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Sep 2025 19:13:50 +0200

falkon (25.08.0-1) unstable; urgency=medium

  * New upstream version 25.08.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Aug 2025 11:31:43 +0200

## falkon 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Gear Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Project name and version

=== src/scripts/CMakeLists.txt ===
function(install_python_script name)
    if (ENABLE_PYTHON_PLUGINS)
        install(
            DIRECTORY ${name}
            DESTINATION ${FALKON_INSTALL_PLUGINDIR}
            FILES_MATCHING PATTERN "*" PATTERN "Messages.sh" EXCLUDE
        )
        install(FILES i18n.py DESTINATION "${FALKON_INSTALL_PLUGINDIR}/${name}")
    endif()
endfunction()

function(install_qml_script name)
    install(
        DIRECTORY ${name}
        DESTINATION ${FALKON_INSTALL_PLUGINDIR}
        FILES_MATCHING PATTERN "*" PATTERN "Messages.sh" EXCLUDE
    )
endfunction()

install_python_script(runaction)
install_python_script(middleclickloader)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    install_python_script(hellopython)
    install_qml_script(helloqml)
endif()

=== src/plugins/SiteSettingsView/CMakeLists.txt ===
set( SiteSettingsView_SRCS
        sitesettingsview_controller.cpp
        sitesettingsview_plugin.cpp
        sitesettingsview_widget.cpp
        sitesettingsview_controller.h
        sitesettingsview_plugin.h
        sitesettingsview_widget.h
)

ecm_create_qm_loader( SiteSettingsView_SRCS falkon_sitesettingsview_qt )

add_library(SiteSettingsView MODULE ${SiteSettingsView_SRCS} ${RSCS})
install(TARGETS SiteSettingsView DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(SiteSettingsView FalkonPrivate)

=== debian/changelog ===
falkon (25.08.1-1) unstable; urgency=medium

  * New upstream version 25.08.1

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Sep 2025 16:14:42 +0200

=== debian/control ===
--- 
+++ 
@@ -42,8 +42,6 @@
  libkf6coreaddons-data,
 Suggests:
  libqt6webenginecore6-bin
-Recommends:
- libsvtav1enc0
 Conflicts: qupzilla (<< 3.0.0~)
 Replaces: qupzilla (<< 3.0.0~)
 Provides: www-browser

## falkon 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Gear Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Project name and version

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

set(falkon_autotests_SRCS )

qt_add_resources(falkon_autotests_SRCS autotests.qrc)

macro(falkon_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp ${_testname}.h ${falkon_autotests_SRCS})
        target_link_libraries(${_testname} Qt::Test FalkonPrivate)
        add_test(NAME falkon-${_testname} COMMAND ${_testname})
        ecm_mark_as_test(${_testname})
        set_tests_properties(falkon-${_testname} PROPERTIES RUN_SERIAL TRUE)
    endforeach(_testname)
endmacro()

falkon_tests(
    qztoolstest
    cookiestest
    adblocktest
    updatertest
    locationbartest
    webviewtest
    webtabtest
    sqldatabasetest
    sitesettingstest
)

set(falkon_autotests_SRCS ${CMAKE_SOURCE_DIR}/tests/modeltest/modeltest.cpp)
include_directories(${CMAKE_SOURCE_DIR}/tests/modeltest)
falkon_tests(
    tabmodeltest
)

set(falkon_autotests_SRCS passwordbackendtest.cpp)
include_directories(${OPENSSL_INCLUDE_DIR})
falkon_tests(
    databasepasswordbackendtest
    databaseencryptedpasswordbackendtest
)

set(falkon_autotests_SRCS
    qml/qmltestitem.cpp
    qml/qmltesthelper.cpp
)

macro(falkon_qml_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} qml/${_testname}.cpp ${falkon_autotests_SRCS})
        target_link_libraries(${_testname} Qt::Test FalkonPrivate)
        add_test(NAME falkon-qml-${_testname} COMMAND ${_testname})
        ecm_mark_as_test(${_testname})
        set_tests_properties(falkon-qml-${_testname} PROPERTIES RUN_SERIAL TRUE)
    endforeach(_testname)
endmacro()

falkon_qml_tests(
    qmlbookmarksapitest
    qmltopsitesapitest
    qmlhistoryapitest
    qmlcookiesapitest
    qmlclipboardapitest
    qmltabsapitest
    qmlwindowsapitest
    qmluserscriptapitest
)

=== src/main/CMakeLists.txt ===
include_directories(
  ../lib/3rdparty
  ../lib/app
  ../lib/session
  ../lib/webengine
  ../lib/webtab
)
set(SRCS main.cpp)
if (WIN32)
    set(SRCS ${SRCS} version.rc)
    configure_file(falkonversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/falkonversion.h)
endif()
ecm_create_qm_loader(SRCS falkon_qt)
add_executable(falkon ${SRCS})

target_link_libraries(falkon FalkonPrivate)

if (APPLE)
    set_target_properties(falkon PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
    set_target_properties(falkon PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.falkon")
    set_target_properties(falkon PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Falkon")
    install(FILES lib/data/icons/exeicons/falkon.icns DESTINATION ${BUNDLE_INSTALL_DIR}/falkon.app/Contents/Resources)
    #install(DIRECTORY ${CMAKE_BINARY_DIR}/bin/locale DESTINATION ${BUNDLE_INSTALL_DIR}/falkon.app/Contents/Resources)
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/themes DESTINATION ${BUNDLE_INSTALL_DIR}/falkon.app/Contents/Resources)
    install(DIRECTORY ${CMAKE_BINARY_DIR}/bin/plugins DESTINATION ${BUNDLE_INSTALL_DIR}/falkon.app/Contents/Resources)
endif ()

if (CMAKE_SYSTEM_NAME MATCHES FreeBSD OR CMAKE_SYSTEM_NAME MATCHES OpenBSD)
    target_link_libraries(falkon execinfo)
endif()

if (UNIX AND NOT APPLE)
    install(TARGETS falkon ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/themes DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/falkon)
    if (KF6I18n_FOUND)
        ki18n_install(${CMAKE_SOURCE_DIR}/po)
    endif()
    ecm_install_po_files_as_qm(${CMAKE_SOURCE_DIR}/poqm)

    install(PROGRAMS ../../linux/applications/org.kde.falkon.desktop DESTINATION ${KDE_INSTALL_APPDIR})

    ecm_install_icons(ICONS
        ../../linux/hicolor/16-apps-falkon.png
        ../../linux/hicolor/32-apps-falkon.png
        ../../linux/hicolor/48-apps-falkon.png
        ../../linux/hicolor/64-apps-falkon.png
        ../../linux/hicolor/128-apps-falkon.png
        ../../linux/hicolor/256-apps-falkon.png
        ../../linux/hicolor/sc-apps-falkon.svg
        DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

    install(FILES ../../linux/completion/falkon DESTINATION ${KDE_INSTALL_DATADIR}/bash-completion/completions)
    install(FILES ../../linux/appdata/org.kde.falkon.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
elseif (WIN32)
    install(TARGETS falkon ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/themes DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/falkon)
    if (KF6I18n_FOUND)
        ki18n_install(${CMAKE_SOURCE_DIR}/po)
    endif()
    ecm_install_po_files_as_qm(${CMAKE_SOURCE_DIR}/poqm)

    ecm_install_icons(ICONS
        ../../linux/hicolor/16-apps-falkon.png
        ../../linux/hicolor/32-apps-falkon.png
        ../../linux/hicolor/48-apps-falkon.png
        ../../linux/hicolor/64-apps-falkon.png
        ../../linux/hicolor/128-apps-falkon.png
        ../../linux/hicolor/256-apps-falkon.png
        ../../linux/hicolor/sc-apps-falkon.svg
        DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)
endif()

=== src/plugins/AutoScroll/CMakeLists.txt ===
set( AutoScroll_SRCS
	autoscrollplugin.cpp
	autoscroller.cpp
	framescroller.cpp
	autoscrollsettings.cpp
        autoscrollplugin.h
        autoscroller.h
        framescroller.h
        autoscrollsettings.h
        )

ecm_create_qm_loader( AutoScroll_SRCS falkon_autoscroll_qt )

set( AutoScroll_UIS
	autoscrollsettings.ui
	)
qt_wrap_ui(UIS ${AutoScroll_UIS})

set( AutoScroll_RSCS
	autoscroll.qrc
	)
qt_add_resources(RSCS ${AutoScroll_RSCS})

add_library(AutoScroll MODULE ${AutoScroll_SRCS} ${UIS} ${RSCS})
install(TARGETS AutoScroll DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(AutoScroll FalkonPrivate)

=== src/plugins/GnomeKeyringPasswords/CMakeLists.txt ===
add_definitions(${GNOME_KEYRING_CFLAGS} ${GNOME_KEYRING_CFLAGS_OTHER})

set( GnomeKeyringPasswords_SRCS
	gnomekeyringplugin.cpp
	gnomekeyringpasswordbackend.cpp
	)

ecm_create_qm_loader( GnomeKeyringPasswords_SRCS falkon_gnomekeyringpasswords_qt )

add_library(GnomeKeyringPasswords MODULE ${GnomeKeyringPasswords_SRCS} ${RSCS})
install(TARGETS GnomeKeyringPasswords DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(GnomeKeyringPasswords PkgConfig::GNOME_KEYRING FalkonPrivate)

=== src/plugins/GreaseMonkey/CMakeLists.txt ===
include_directories(settings)

set( GreaseMonkey_SRCS
	gm_plugin.cpp
	gm_manager.cpp
	gm_script.cpp
	gm_downloader.cpp
	gm_addscriptdialog.cpp
	gm_notification.cpp
	gm_icon.cpp
	gm_jsobject.cpp
	settings/gm_settings.cpp
	settings/gm_settingslistdelegate.cpp
	settings/gm_settingsscriptinfo.cpp
	settings/gm_settingslistwidget.cpp
	)

ecm_create_qm_loader( GreaseMonkey_SRCS falkon_greasemonkey_qt )

set( GreaseMonkey_UIS
	gm_addscriptdialog.ui
	gm_notification.ui
	settings/gm_settings.ui
	settings/gm_settingsscriptinfo.ui
	)
qt_wrap_ui(UIS ${GreaseMonkey_UIS})

set( GreaseMonkey_RSCS
	greasemonkey.qrc
	)
qt_add_resources(RSCS ${GreaseMonkey_RSCS})

add_library(GreaseMonkey MODULE ${GreaseMonkey_SRCS} ${UIS} ${RSCS})
install(TARGETS GreaseMonkey DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(GreaseMonkey FalkonPrivate)

=== src/plugins/MouseGestures/CMakeLists.txt ===
include_directories(3rdparty)

set( MouseGestures_HDRS
	3rdparty/QjtMouseGestureFilter.h
	)

set( MouseGestures_SRCS
	3rdparty/mousegesturerecognizer.cpp
	3rdparty/QjtMouseGesture.cpp
	3rdparty/QjtMouseGestureFilter.cpp
	3rdparty/adv_recognizer.cpp
	mousegestures.cpp
	mousegesturesplugin.cpp
	mousegesturessettingsdialog.cpp
	)

ecm_create_qm_loader( MouseGestures_SRCS falkon_mousegestures_qt )

set( MouseGestures_UIS
	mousegesturessettingsdialog.ui
	)
qt_wrap_ui(UIS ${MouseGestures_UIS})

set( MouseGestures_RSCS
	mousegestures.qrc
	)
qt_add_resources(RSCS ${MouseGestures_RSCS})

KDE_ENABLE_EXCEPTIONS()

add_library(MouseGestures MODULE ${MouseGestures_SRCS} ${UIS} ${RSCS})
install(TARGETS MouseGestures DESTINATION ${FALKON_INSTALL_PLUGINDIR})
target_link_libraries(MouseGestures FalkonPrivate)

=== src/plugins/PyFalkon/autotests/CMakeLists.txt ===
macro(pyfalkon_tests)
    foreach(_testname ${ARGN})
        add_test(NAME pyfalkon-${_testname} COMMAND pyfalkontestrunner ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.py)
        set_tests_properties(pyfalkon-${_testname} PROPERTIES RUN_SERIAL TRUE)
    endforeach(_testname)
endmacro()

add_executable(pyfalkontestrunner pyfalkontestrunner.cpp)
target_link_libraries(pyfalkontestrunner FalkonPrivate Qt6::Test)

pyfalkon_tests(
    basictest
)

=== debian/changelog ===
falkon (25.08.2-1) unstable; urgency=medium

  * New upstream version 25.08.2

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 10:02:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS
export CFLAGS
export CXXFLAGS
export LDFLAGS

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	dh_auto_configure
	# create jquery.js and jquery-ui.js as symlinks rather than
	# uglified files
	ln -s jquery-1.12.4.js src/lib/data/html/jquery.js
	ln -s jquery-ui-1.12.1.js src/lib/data/html/jquery-ui.js

override_dh_auto_clean:
	# remove eventually previously created symlinks
	rm -f src/lib/data/html/jquery.js src/lib/data/html/jquery-ui.js
	dh_auto_clean

override_dh_auto_build:
	# False positive from blhc. See #994422.
	@echo 'blhc: ignore-line-regexp: /usr/(bin|lib)/(ccache/)?c\+\+ -dM -E -c /usr/share/cmake-[0-9.]+/Modules/CMakeCXXCompilerABI.cpp .*'
	dh_auto_build

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
    pgpmode=auto" \
    https://github.com/kde/falkon/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## falkon 25.08.2+p24.04+vstable+git20251015.1732

=== debian/changelog ===
falkon (25.08.2+p24.04+vstable+git20251015.1732-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:32:56 +0000

falkon (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:11:05 +0000

falkon (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:34:52 +0000

falkon (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:08:30 +0000

falkon (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:16:09 +0000

falkon (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:30:13 +0000

falkon (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:03:14 +0000

falkon (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:23:59 +0000

falkon (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:57:15 +0000

falkon (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:17:31 +0000

falkon (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:16:41 +0000

falkon (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:04:36 +0000

falkon (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:28:36 +0000

falkon (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:52:55 +0000

falkon (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:24:39 +0000

falkon (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:18:42 +0000

falkon (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:00:38 +0000

falkon (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:15:25 +0000

falkon (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:00:45 +0000

falkon (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:49:40 +0000

falkon (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:26:45 +0000

falkon (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 14:41:26 +0000

falkon (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:04:30 +0000

falkon (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:52:02 +0000

falkon (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:36:22 +0000

falkon (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:37:36 +0000

falkon (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:13:30 +0000

falkon (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:36:25 +0000

falkon (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 14:00:56 +0000

falkon (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:39:54 +0000

falkon (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:14:32 +0000

falkon (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:21:18 +0000

falkon (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:44:32 +0000

falkon (22.08.3-0neon) focal; urgency=medium

  [ Jonathan Esk-Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:56:20 +0000

falkon (3.1.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2019 12:10:07 +0000

falkon (3.0.1-0neon) xenial; urgency=medium

  [ Clive Johnston ]
  * Initial packaging of renamed project qupzilla->falkon

  [ Simon Quigley ]
  * Add Conflicts/Replaces on qupzilla.

  [ Rik Mills ]
  * New upstream release (3.0.0)

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 May 2018 15:40:06 +0000
